text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Either

Description

Monomorphic `TextShow` function for `Either` values.

Since: 2

Synopsis

- showbEitherPrecWith2 :: (Int -> a -> Builder) -> (Int -> b -> Builder) -> Int -> Either a b -> Builder

# Documentation

showbEitherPrecWith2 :: (Int -> a -> Builder) -> (Int -> b -> Builder) -> Int -> Either a b -> Builder Source

Convert a `Either` value to a `Builder` with the given show functions and precedence.

Since: 2